import java.awt.Color;
import java.awt.EventQueue;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.SpringLayout;
import javax.swing.border.LineBorder;


public class Main extends JFrame implements ActionListener, MouseMotionListener {
	
	private JLabel lblCoordinate;
	private JPanel panel;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					Main frame = new Main();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		JOptionPane.showMessageDialog(null, "Ciao a tutti", "Informazioni", JOptionPane.INFORMATION_MESSAGE);
	}
	
	@Override
	public void mouseDragged(MouseEvent e) { }

	@Override
	public void mouseMoved(MouseEvent e) {
		int x = e.getX();
		int y = e.getY();
		lblCoordinate.setText("(" + x + "," + y + ")");
	}

	/**
	 * Create the frame.
	 */
	public Main() {
		setTitle("Finestra eventi");
		setBounds(100, 100, 450, 300);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		SpringLayout springLayout = new SpringLayout();
		getContentPane().setLayout(springLayout);
		
		JButton btnBottone = new JButton("Bottone");
		btnBottone.addActionListener(this);
		springLayout.putConstraint(SpringLayout.NORTH, btnBottone, 10, SpringLayout.NORTH, getContentPane());
		springLayout.putConstraint(SpringLayout.WEST, btnBottone, 10, SpringLayout.WEST, getContentPane());
		getContentPane().add(btnBottone);
		
		lblCoordinate = new JLabel("Coordinate");
		springLayout.putConstraint(SpringLayout.NORTH, lblCoordinate, 6, SpringLayout.SOUTH, btnBottone);
		springLayout.putConstraint(SpringLayout.WEST, lblCoordinate, 0, SpringLayout.WEST, btnBottone);
		getContentPane().add(lblCoordinate);
		
		panel = new JPanel();
		panel.addMouseMotionListener(this);
		panel.setBackground(Color.YELLOW);
		panel.setBorder(new LineBorder(new Color(0, 0, 0)));
		springLayout.putConstraint(SpringLayout.NORTH, panel, 10, SpringLayout.NORTH, getContentPane());
		springLayout.putConstraint(SpringLayout.WEST, panel, 6, SpringLayout.EAST, btnBottone);
		springLayout.putConstraint(SpringLayout.SOUTH, panel, -10, SpringLayout.SOUTH, getContentPane());
		springLayout.putConstraint(SpringLayout.EAST, panel, -10, SpringLayout.EAST, getContentPane());
		getContentPane().add(panel);
		
	}
}
